Get inventory feed
curl --request GET \
--url https://api.app.hrizn.io/v1/public/inventory/feed \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/inventory/feed"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/inventory/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/inventory/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/inventory/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"count": 123,
"vehicles": [
{
"vin": "<string>",
"year": 123,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"vehicle_type": "<string>",
"price": 123,
"mileage": 123,
"exterior_color": "<string>",
"interior_color": "<string>",
"ai_description": "<string>",
"image_url": "<string>"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Get inventory feed
Returns the complete inventory feed in JSON or XML format.
GET
/
inventory
/
feed
Get inventory feed
Authorizations
Your Hrizn API key (prefix hzk_)
Query Parameters
Response format
Available options:
json, xml Response
Inventory feed
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on June 30, 2026
⌘I
